## raspi-utils 20240903

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.27)

project(utils)

# List of subsidiary CMakeLists
add_subdirectory(dtmerge)
add_subdirectory(eeptools)
add_subdirectory(otpset)
add_subdirectory(overlaycheck)
add_subdirectory(ovmerge)
add_subdirectory(pinctrl)
add_subdirectory(raspinfo)
add_subdirectory(vcgencmd)
add_subdirectory(vclog)
add_subdirectory(vcmailbox)

=== dtmerge/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10...3.27)

include(GNUInstallDirs)

#set project name
project(dtmerge)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Werror")

if (CMAKE_COMPILER_IS_GNUCC)
   add_definitions (-ffunction-sections)
endif ()

add_library (dtovl ${STATIC} dtoverlay.c)
target_link_libraries(dtovl fdt)

add_executable(dtmerge dtmerge.c)
target_link_libraries(dtmerge dtovl)
install(TARGETS dtmerge RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES dtmerge.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

add_executable(dtoverlay dtoverlay_main.c utils.c)
target_link_libraries(dtoverlay dtovl)
install(TARGETS dtoverlay RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES dtoverlay.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

add_custom_command(TARGET dtoverlay POST_BUILD COMMAND ln;-sf;dtoverlay;dtparam)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dtparam DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES dtparam.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== otpset/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10...3.27)

include(GNUInstallDirs)

#set project name
project(otpset)

#add executables
install(PROGRAMS otpset DESTINATION ${CMAKE_INSTALL_BINDIR})

=== pinctrl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10...3.27)
include(GNUInstallDirs)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Werror -pedantic")

#set project name
project(pinctrl)

#add executables
add_executable(pinctrl pinctrl.c gpiolib.c util.c gpiochip_bcm2835.c gpiochip_bcm2712.c gpiochip_rp1.c)
install(TARGETS pinctrl RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES pinctrl-completion.bash RENAME pinctrl DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/bash-completion/completions")

=== raspinfo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10...3.27)

include(GNUInstallDirs)

#set project name
project(raspinfo)

#add executables
install(PROGRAMS raspinfo DESTINATION ${CMAKE_INSTALL_BINDIR})

=== vcmailbox/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10...3.27)

include(GNUInstallDirs)

#set project name
project(vcmailbox)

add_executable(vcmailbox vcmailbox.c)
target_link_libraries(vcmailbox)

install(TARGETS vcmailbox RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES vcmailbox.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
install(FILES vcmailbox.7 raspiotp.7 raspirev.7 DESTINATION ${CMAKE_INSTALL_MANDIR}/man7)

## raspi-utils 20190624

=== debian/changelog ===
raspi-utils (20190624-1) buster; urgency=medium

  * Initial release

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 19 Jul 2019 13:08:42 +0100

=== debian/control ===
Source: raspi-utils
Section: utils
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Homepage: https://github.com/raspberrypi/utils
Vcs-Browser: https://github.com/raspberrypi/utils
Vcs-Git: https://github.com/raspberrypi/utils.git

Package: raspinfo
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libraspberrypi-bin, net-tools,
 raspi-gpio, usbutils
Description: Dump information about the Pi
 Short script to dump information about the Pi.
 Intended for the submission of bug reports.

Package: ovmerge
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, perl
Description: Device tree overlay merging tool
 Tool for merging device tree overlays, flattening and sorting .dts files for
 easy comparison, displaying the include tree, etc

## raspi-utils 20240903

=== debian/changelog ===
raspi-utils (20240903-0ubuntu3) plucky; urgency=medium

  * Changes requested by MIR team (LP: #2094805):
    - d/p/0002-remove-raspinfo-sudo.patch: Remove the usage of sudo from
      raspinfo. Instead check if the script is being run with elevated
      privileges
    - d/rules, d/control, d/raspi-utils-dt.*,
      d/p/0003-remove-overlaycheck.patch: Remove overlaycheck from raspi-utils
    - d/control: Move kms++-utils from Recommends to Suggests for raspinfo

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Fri, 07 Feb 2025 22:36:23 +0530

raspi-utils (20240903-0ubuntu2) plucky; urgency=medium

  * d/control: Fix target architectures
    - raspi-utils: depends on raspi-utils-core,
      hence should build for armhf and arm64
    - libraspberrypi-bin: depends on raspi-utils,
      hence should build for armhf and arm64.
      raspi-userland also built it for these
      targets only
    - raspinfo: depends on raspi-utils-core,
      hence should build for armhf and arm64
  * This unblocks the migration of raspi-utils

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 14 Jan 2025 17:01:25 +0530

raspi-utils (20240903-0ubuntu1) plucky; urgency=medium

  * Initial upload to Ubuntu (LP: #2046250)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Sat, 14 Dec 2024 00:32:07 +0530

=== debian/control ===
Source: raspi-utils
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 dh-python,
 python3,
 libfdt-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/raspberrypi/utils
Rules-Requires-Root: no

Package: raspi-utils
Architecture: armhf arm64
Depends:
 ${misc:Depends},
 raspi-utils-core,
 raspi-utils-otp,
 raspi-utils-dt,
 raspi-utils-eeprom,
Suggests:
 raspinfo (>= 20240402-4)
Breaks: libraspberrypi-bin (<= 0~20230913+gitcc1ca18-1~)
Replaces: libraspberrypi-bin (<= 0~20230913+gitcc1ca18-1~)
Provides: libraspberrypi-bin
Description: Raspberry Pi specific utilities
 This is a meta-package that installs all raspi-utils packages.

Package: libraspberrypi-bin
Architecture: armhf arm64
Depends:
 ${misc:Depends},
 raspi-utils
Section: oldlibs
Description: transitional package
 This is a transitional package. It can be safely removed.

Package: raspi-utils-core
Architecture: armhf arm64
Breaks: libraspberrypi-bin (<= 0~20230913+gitcc1ca18-1~)
Replaces: libraspberrypi-bin (<= 0~20230913+gitcc1ca18-1~)
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Raspberry Pi specific utilities - core tools
 vclog - A tool to get VideoCore 'assert' or 'msg' logs with optional -f to wait
 for new logs to arrive
 pinctrl - A tool for displaying and modifying the GPIO and pin muxing state of
   a system, bypassing the kernel.
 vcgencmd - A tool to get various bits of information from the VideoCore
 vcmailbox - A tool to send a message to the VideoCore

Package: raspi-utils-otp
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Tools for reading and setting Raspberry Pi OTP bits
 A short script to help with reading and setting the customer OTP bits

Package: raspi-utils-dt
Architecture: armhf arm64
Breaks: libraspberrypi-bin (<= 0~20230913+gitcc1ca18-1~)
Replaces: libraspberrypi-bin (<= 0~20230913+gitcc1ca18-1~)
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
 device-tree-compiler,
Description: Device Tree overlay utilities
 dtmerge - A tool for applying compiled DT overlays (*.dtbo) to base Device Tree
 files (*.dtb)
 ovmerge - A tool for merging DT overlay source files (*-overlay.dts),
 flattening and sorting .dts files for easy comparison, displaying the include
 tree, etc

Package: raspi-utils-eeprom
Architecture: armhf arm64
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Tools for creating and managing EEPROMs for HAT+ and HAT board
 Tools for building, flashing and reading Raspberry Pi HAT+  and HAT .eep files

Package: raspinfo
Architecture: armhf arm64
Depends:
 ${misc:Depends},
 raspi-utils-core,
 net-tools,
 rpi-eeprom,
 sudo,
 usbutils,
Recommends:
 pastebinit,
Suggests:
 kms++-utils,
Description: Prints information about the Raspberry Pi for bug reports
 A short script to dump information about the Pi. Intended for the
 submission of bug reports

=== debian/rules ===
#!/usr/bin/make -f

%:
	if [ -d overlaycheck ]; then rm -r overlaycheck; fi
	dh $@ --with=python3

## raspi-utils 20250514

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,12 @@
 # List of subsidiary CMakeLists
 add_subdirectory(dtmerge)
 add_subdirectory(eeptools)
+add_subdirectory(kdtc)
 add_subdirectory(otpset)
 add_subdirectory(overlaycheck)
 add_subdirectory(ovmerge)
 add_subdirectory(pinctrl)
+add_subdirectory(piolib)
 add_subdirectory(raspinfo)
 add_subdirectory(vcgencmd)
 add_subdirectory(vclog)

=== dtmerge/CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,13 @@
    add_definitions (-ffunction-sections)
 endif ()
 
-add_library (dtovl ${STATIC} dtoverlay.c)
+add_library (dtovl dtoverlay.c)
 target_link_libraries(dtovl fdt)
+set_target_properties(dtovl PROPERTIES PUBLIC_HEADER dtoverlay.h)
+set_target_properties(dtovl PROPERTIES SOVERSION 0)
+install(TARGETS dtovl
+        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+        PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 
 add_executable(dtmerge dtmerge.c)
 target_link_libraries(dtmerge dtovl)

=== eeptools/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10...3.27)

include(GNUInstallDirs)

#set project name
project(eeptools)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Werror")

if (CMAKE_COMPILER_IS_GNUCC)
   add_definitions (-ffunction-sections)
endif ()

add_executable(eepmake eepmake.c eeplib.c)
install(TARGETS eepmake RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(eepdump eepdump.c eeplib.c)
install(TARGETS eepdump RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

install(PROGRAMS eepflash.sh DESTINATION ${CMAKE_INSTALL_BINDIR})

=== kdtc/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10...3.27)

include(GNUInstallDirs)

#set project name
project(kdtc)

#add executables
install(PROGRAMS kdtc DESTINATION ${CMAKE_INSTALL_BINDIR})

=== overlaycheck/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10...3.27)

include(GNUInstallDirs)

#set project name
project(overlaycheck)

#add executables
install(PROGRAMS overlaycheck DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES overlaycheck_exclusions.txt DESTINATION ${CMAKE_INSTALL_BINDIR})

=== ovmerge/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10...3.27)

include(GNUInstallDirs)

#set project name
project(ovmerge)

#add executables
install(PROGRAMS ovmerge DESTINATION ${CMAKE_INSTALL_BINDIR})

=== pinctrl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10...3.27)
include(GNUInstallDirs)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Werror -pedantic")

#set project name
project(pinctrl)

add_compile_definitions(LIBRARY_BUILD=1)

add_library(gpiolib gpiolib.c util.c library_gpiochips.c gpiochip_bcm2835.c gpiochip_bcm2712.c gpiochip_rp1.c)
target_sources(gpiolib PUBLIC gpiolib.h)
set_target_properties(gpiolib PROPERTIES PUBLIC_HEADER gpiolib.h)
set_target_properties(gpiolib PROPERTIES SOVERSION 0)

#add executables
add_executable(pinctrl pinctrl.c)
target_link_libraries(pinctrl gpiolib)
install(TARGETS pinctrl RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(TARGETS gpiolib
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install(FILES pinctrl-completion.bash RENAME pinctrl DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/bash-completion/completions")

=== piolib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10...3.27)

include(GNUInstallDirs)

add_subdirectory(examples)

#set project name
project(piolib)

add_compile_definitions(LIBRARY_BUILD=1)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Werror")

if (CMAKE_COMPILER_IS_GNUCC)
   add_definitions (-ffunction-sections)
endif ()

add_library (pio piolib.c library_piochips.c pio_rp1.c)
target_include_directories(pio PUBLIC include)
set_target_properties(pio PROPERTIES SOVERSION 0)

set(INCLUDE_FILES
    "piolib.h"
    "pio_platform.h"
    "hardware/clocks.h"
    "hardware/gpio.h"
    "hardware/pio.h"
    "hardware/pio_instructions.h"
    "hardware/timer.h"
    "pico/stdlib.h"
)

install(TARGETS pio ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT piolib)
foreach ( file ${INCLUDE_FILES} )
    get_filename_component( dir ${file} DIRECTORY )
    install( FILES "include/${file}" DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/piolib/${dir}" COMPONENT piolib)
endforeach()

=== vcgencmd/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10...3.27)

include(GNUInstallDirs)

#set project name
project(vcgencmd)

add_executable(vcgencmd vcgencmd.c)
install(TARGETS vcgencmd RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES vcgencmd.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
install(FILES vcgencmd-completion.bash RENAME vcgencmd DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/bash-completion/completions")

=== vclog/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10...3.27)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Werror -pedantic")

#set project name
project(vclog)

#add executables
add_executable(vclog vclog.c)
install(TARGETS vclog RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== piolib/examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10...3.27)

include(GNUInstallDirs)

#set project name
project(examples)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Werror")

if (CMAKE_COMPILER_IS_GNUCC)
   add_definitions (-ffunction-sections)
endif ()

add_executable(apitest apitest.c)
target_include_directories(apitest PRIVATE ../include)
target_link_libraries(apitest pio)
install(TARGETS apitest RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(piotest piotest.c)
target_include_directories(piotest PRIVATE ../include)
target_link_libraries(piotest pio)
install(TARGETS piotest RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(piopwm pwm.c)
target_include_directories(piopwm PRIVATE ../include)
target_link_libraries(piopwm pio)
install(TARGETS piopwm RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(pioseq genseq.c)
target_include_directories(pioseq PRIVATE ../include)
target_link_libraries(pioseq pio)
install(TARGETS pioseq RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(piows2812 ws2812.c)
target_include_directories(piows2812 PRIVATE ../include)
target_link_libraries(piows2812 pio)
install(TARGETS piows2812 RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(dpi_csync dpi_csync.c)
target_include_directories(dpi_csync PRIVATE ../include)
target_link_libraries(dpi_csync pio)
install(TARGETS dpi_csync RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(rp1sm rp1sm.c)
target_include_directories(rp1sm PRIVATE ../include)
target_link_libraries(rp1sm pio)
install(TARGETS rp1sm RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(quadenc quadrature_encoder.c)
target_include_directories(quadenc PRIVATE ../include)
target_link_libraries(quadenc pio)
install(TARGETS quadenc RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
raspi-utils (20250514-0ubuntu2) questing; urgency=medium

  * Fix dtoverlay's operation after testing new boot assets (LP: #2119043)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 04 Aug 2025 17:16:19 +0100

raspi-utils (20250514-0ubuntu1) questing; urgency=medium

  * New upstream release (LP: #2119001)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 29 Jul 2025 12:11:15 +0100

raspi-utils (20250514-1) trixie; urgency=medium

  * Update copyright information
  * d/gbp.conf: update debian branch

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 24 Jun 2025 08:58:38 +0100

raspi-utils (20250514-1~bookworm) bookworm; urgency=medium

  [ Phil Elwell ]
  * kdtc: Expand the README
  * dtoverlay: Adjust fixups if a phandle is deleted
  * ovmerge: Add "no renumber" option
  * overlaycheck: Add a check for unusable fragments
  * pinctrl: Create and use gpiolib library
  * pinctrl: Add install rule for gpiolib.h header
  * overlaycheck: Add CM0 to the extended list of dtbs
  * piolib: Make piolib a first class library
  * piolib: Make piolib a CMake component
  * piolib: Correct licence to be BSD-3-Clause
  * pinctrl: gpiolib: Add the remaining GPIO chips

  [ Serge Schneider ]
  * d/patches: refresh
  * Add new libraries

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 20 Jun 2025 09:33:40 +0100

raspi-utils (20250314-1) bookworm; urgency=medium

  [ Phil Elwell ]
  * Add kdtc - a "kernel" dts compiler
  * ovmerge: Correct format string in trace code
  * pinctrl: Make GPIO_CHIP_Ts const, because we can
  * eepflash: Update sysfs path for newer kernels
  * dtoverlay: Support comma-separated parameters (better)
  * overlaycheck: Add Pi 500 to extra_base_files
  * ovmerge: Disable Perl warnings about portability
  * pinctrl: Extend bcm2711 up to GPIO57
  * Add piolib
  * piolib: Add dpi_interlace
  * piolib: Add FIFO-related methods
  * piolib: Move into examples and include directories
  * piolib: Add support for C++ clients
  * piolib: Minor reformat
  * piolib: Fix copy-paste errors
  * piolib: Add fatal error handling
  * piolib: Add abstractions for PIO hardware sizes
  * piolib: Add apitest
  * dtmerge: Fix error in CMakeLists.txt
  * kdtc: Infer x.dtbo output from x-overlay.dts input
  * ovmerge: Add -f option, document -q option
  * piolib: Increase data_bytes range to 32-bits
  * kdtc: Add "wget" install method to README
  * kdtc: Try a few different cpp commands
  * piolib: README: Fix path to udev rule
  * piolib: Add hardware/timer.h for compatibility
  * piolib: Add quadenc (quadrature encoder) example
  * piolib: README: Add the quadenc example
  * overlaycheck: Adopt the cpp detection from kdtc
  * piolib: Correct transfer return values
  * piolib: Update apitest to check transfers
  * ovmerge: Fix label handling for intra- fragments
  * overlaycheck: Support common documentation
  * ovmerge: Fix label refcounts
  * piolib: Support larger DMA buffers
  * eepmake: Close string blobs earlier to avoid errors
  * pinctrl: Fix the pulls on BCM2712C0
  * pinctrl: gpiochips section is only for pointers
  * eeptools: Add the POWER_SUPPLY atom

  [ Gemba ]
  * Aligns the numbering of overlay param values to renumbered fragments

  [ Serge Schneider ]
  * Fix typo
  * debian/: refresh patches
  * Bump compat level to 13
  * Install overlaycheck_exclusions.txt and move from .manpages to
    .install files
  * Install kdtc and add debian/not-installed

  [ Nick Hollinghurst ]
  * piolib: examples: Overhaul dpi_interlace, now named dpi_csync
  * piolib: examples: dpi_csync: Bug fix
  * piolib/examples: dpi_csync: Restore support for Equalizing Pulses.

  [ Nicolai Buchwitz ]
  * piolib: README fixes

  [ Rudi Heitbaum ]
  * piolib: fixes may be used uninitialized

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 14 Mar 2025 15:35:40 +0000

raspi-utils (20240903-1) bookworm; urgency=medium

  [ Andrew Scheller ]
  * Correct help-text for pinctrl poll
  * raspinfo: Display EEPROM info for Pi 400, CM4, CM4S and Pi 5
  * Update documentation URLs

  [ Phil Elwell ]
  * pinctrl: Correct alt function range in help
  * dtoverlay: Convert u32s to unsigned strings
  * dtmerge: Increase the maximum DTB size
  * ovmerge: Various byte string fixes
  * pinctrl: Add underscores to the RP1 SD CLK signals
  * pinctrl: Add "level" mode
  * overlaycheck: Check all the base files
  * overlaycheck: Re-indent with spaces
  * overlaycheck: Support reading arm64 dts files

  [ Thorsten Ludewig ]
  * flush stdout on every level change

  [ Rudi Heitbaum ]
  * vclog: fix compiler error with gcc-14.1

  [ Giampiero Baggiani ]
  * pinctrl.c help typo fix

  [ Dave Jones ]
  * Fix lintian warning about bash-completion shebangs
  * Fix modern groff warnings in manpages

  [ Serge Schneider ]
  * d/raspi-utils-core: install bash completions for pinctrl and vcgencmd
  * d/c: Fix Breaks/Depends fields
  * d/p: Refresh overlaycheck.diff

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 06 Sep 2024 13:16:12 +0100

raspi-utils (20240402-4) bookworm; urgency=medium

  * Split raspi-info into multiple binary package
  * Install manpages

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 14 Aug 2024 18:10:52 +0100

raspi-utils (20240402-3) bookworm; urgency=medium

  * d/c: Add pastebinit to recommends

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 29 Apr 2024 16:11:18 +0100

raspi-utils (20240402-2) bookworm; urgency=medium

  * d/control: limit raspi-gpio dependency to ARM architectures
  * d/: add gbp.conf

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 23 Apr 2024 14:00:00 +0100

raspi-utils (20240402-1) bookworm; urgency=medium

  [ Álvaro Fernández Rojas ]
  * eeptools: eepdump: init type before calling eepio_atom_start

  [ Phil Elwell ]
  * pinctrl: Support older versions of glibc
  * overlaycheck: Apply all overlays to one platform
  * dtmerge: Make i2c_arm/vc creation conditional
  * eeplib: Don't use arithmetic on void pointers
  * ovmerge: Don't create 'i2c' as a label


=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-python,
  python3,
  libfdt-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2.0
 Homepage: https://github.com/raspberrypi/utils
 Rules-Requires-Root: no
 
@@ -99,3 +99,92 @@
 Description: Prints information about the Raspberry Pi for bug reports
  A short script to dump information about the Pi. Intended for the
  submission of bug reports
+
+Package: libdtovl0
+Architecture: any
+Breaks: libraspberrypi0, libraspberrypi-dev, libraspberrypi-doc
+Replaces: libraspberrypi0, libraspberrypi-dev, libraspberrypi-doc
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Library for manipulating Device Tree overlays
+ A development library providing an API for manipulating
+ device tree overlays
+ .
+ This library powers the dtmerge and dtoverlay utilities, providing
+ functions for loading, merging, and applying device tree overlays,
+ resolving fixups, handling parameters, and managing the device tree
+ blob structure.
+ .
+ This package contains the shared library.
+
+Package: libdtovl-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, libdtovl0 (= ${binary:Version})
+Description: Library for manipulating Device Tree overlays
+ A development library providing an API for manipulating
+ device tree overlays
+ .
+ This library powers the dtmerge and dtoverlay utilities, providing
+ functions for loading, merging, and applying device tree overlays,
+ resolving fixups, handling parameters, and managing the device tree
+ blob structure.
+ .
+ This package contains the development files.
+
+Package: libpio0
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Library for accessing Raspberry Pi 5 PIO hardware
+ A development library providing user-space API to the rp1-pio driver for
+ accessing PIO hardware on the Raspberry Pi 5.
+ .
+ It implements a clone of the PICO SDK PIO API, allowing existing PIO code
+ to run with minimal modifications by forwarding calls to RP1 through RPC.
+ .
+ This package contains the shared library.
+
+Package: libpio-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, libpio0 (= ${binary:Version})
+Description: Library for accessing Raspberry Pi 5 PIO hardware
+ A development library providing user-space API to the rp1-pio driver for
+ accessing PIO hardware on the Raspberry Pi 5.
+ .
+ It implements a clone of the PICO SDK PIO API, allowing existing PIO code
+ to run with minimal modifications by forwarding calls to RP1 through RPC.
+ .
+ This package contains the development files.
+
+Package: libgpiolib0
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: GPIO library for Raspberry Pi devices
+ A development library providing a user-space API for accessing and controlling
+ GPIO pins on Raspberry Pi hardware.
+ .
+ The library supports runtime detection of GPIO controllers from Device Tree,
+ referring to GPIOs by name or number, and provides both basic pin control
+ and monitoring capabilities.
+ .
+ This package contains the shared library.
+
+Package: libgpiolib-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, libgpiolib0 (= ${binary:Version})
+Description: GPIO library for Raspberry Pi devices
+ A development library providing a user-space API for accessing and controlling
+ GPIO pins on Raspberry Pi hardware.
+ .
+ The library supports runtime detection of GPIO controllers from Device Tree,
+ referring to GPIOs by name or number, and provides both basic pin control
+ and monitoring capabilities.
+ .
+ This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	if [ -d overlaycheck ]; then rm -r overlaycheck; fi
	dh $@ --with=python3

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=1

=== debian/watch ===
version=4
opts="searchmode=plain,uversionmangle=s/^//" \
https://archive.raspberrypi.org/debian/pool/main/r/@PACKAGE@/ \
@PACKAGE@_@ANY_VERSION@\.orig\.tar\.(?:gz|xz)

## raspi-utils 20250826

=== pinctrl/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.10...3.27)
 include(GNUInstallDirs)
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Werror -pedantic")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Werror")
 
 #set project name
 project(pinctrl)
 
 add_compile_definitions(LIBRARY_BUILD=1)
 
-add_library(gpiolib gpiolib.c util.c library_gpiochips.c gpiochip_bcm2835.c gpiochip_bcm2712.c gpiochip_rp1.c)
+add_library(gpiolib gpiolib.c util.c library_gpiochips.c gpiochip_bcm2835.c gpiochip_bcm2712.c gpiochip_rp1.c gpiochip_firmware.c)
 target_sources(gpiolib PUBLIC gpiolib.h)
 set_target_properties(gpiolib PROPERTIES PUBLIC_HEADER gpiolib.h)
 set_target_properties(gpiolib PROPERTIES SOVERSION 0)

=== rpifwcrypto/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10...3.27)
include(GNUInstallDirs)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Werror")

# Set project name
project(rpifwcrypto)

# Find GnuTLS package
find_package(GnuTLS REQUIRED)

option(BUILD_SHARED_LIBS "Build using shared libraries" ON)

# Create the shared library
add_library(rpifwcrypto rpifwcrypto.c)
target_sources(rpifwcrypto PUBLIC rpifwcrypto.h)
set_target_properties(rpifwcrypto PROPERTIES PUBLIC_HEADER rpifwcrypto.h)
set_target_properties(rpifwcrypto PROPERTIES SOVERSION 0)

# Create the executable
add_executable(rpi-fw-crypto main.c)
target_link_libraries(rpi-fw-crypto rpifwcrypto ${GNUTLS_LIBRARIES})
target_include_directories(rpi-fw-crypto PRIVATE ${GNUTLS_INCLUDE_DIRS})

# Install rules
install(TARGETS rpi-fw-crypto RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(TARGETS rpifwcrypto
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== debian/changelog ===
raspi-utils (20250826-1~bookworm) bookworm; urgency=medium

  [ Phil Elwell ]
  * ovmerge: Update Copyright details, remove GPL-2.0
  * dtoverlay: Fix node_is_enabled for implicit status
  * dtmerge: Convert TABs to spaces
  * dtoverlay: Make remapping stop at the first rename
  * dtmerge: Support parameters from renames
  * overlaycheck: Don't try applying vl805 to cm4s
  * overlaycheck: Compile all overlays before merging
  * overlaycheck: More trace messages in verbose mode
  * kdtc: Auto-compile non-overlays
  * pinctrl: Add -l (list) mode
  * pinctrl: Also look for GPIO chips without aliases
  * pinctrl: Add support for firmware-controlled GPIOs
  * pinctrl: Mention list (-l) mode in the README
  * pinctrl: Work around MUSL brokenness and obstinacy
  * pinctrl: Clarify the required privilege level
  * ovmerge: Include any local '#defines' in output
  * eeptools: Fix the usage information
  * ovmerge: Add token breakpoint option
  * ovmerge: Support #include after properties
  * pinctrl: Tolerate missing GPIO line names

  [ Torben Woltjen ]
  * Clarify docs: Add example for dtmerge and more precisely describe
    available parameters
  * Add RPi 5 base device tree with MCP2515 device-tree overlay as an
    example

  [ Sonny Piers ]
  * eeptools: Fix flash example

  [ Tim Gover ]
  * rpifwcrypto: Initial revision
  * rpifwcrypto: Only build rpifwcrypto if libgnutls28-dev is available
  * rpifwcrypto: Assorted tidyups
  * rpifwcrypto: Add an API to retrieve public keys

  [ Serge Schneider ]
  * libgpiolib0: Add missing symbols
  * Add rpifwcrypto packages
  * Add armhf build fix

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 27 Aug 2025 05:39:59 +0100

## raspi-utils 20251002

=== debian/changelog ===
raspi-utils (20251002-1) trixie; urgency=medium

  [ Tim Gover ]
  * rpifwcrypto: armhf printf fixes
  * rpifwcrypto: Add a command to retrieve private keys
  * rpifwcrypto: Add genkey command
  * rpifwcrypto: Fix file handle leak in genkey error handling path

  [ Serge Schneider ]
  * Revert "Add armhf build fix"
  * Update librpifwcrypto0.symbols

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 02 Oct 2025 15:29:56 +0100

raspi-utils (20250826-1) trixie; urgency=medium

  [ Phil Elwell ]
  * ovmerge: Update Copyright details, remove GPL-2.0
  * dtoverlay: Fix node_is_enabled for implicit status
  * dtmerge: Convert TABs to spaces
  * dtoverlay: Make remapping stop at the first rename
  * dtmerge: Support parameters from renames
  * overlaycheck: Don't try applying vl805 to cm4s
  * overlaycheck: Compile all overlays before merging
  * overlaycheck: More trace messages in verbose mode
  * kdtc: Auto-compile non-overlays
  * pinctrl: Add -l (list) mode
  * pinctrl: Also look for GPIO chips without aliases
  * pinctrl: Add support for firmware-controlled GPIOs
  * pinctrl: Mention list (-l) mode in the README
  * pinctrl: Work around MUSL brokenness and obstinacy
  * pinctrl: Clarify the required privilege level
  * ovmerge: Include any local '#defines' in output
  * eeptools: Fix the usage information
  * ovmerge: Add token breakpoint option
  * ovmerge: Support #include after properties
  * pinctrl: Tolerate missing GPIO line names

  [ Torben Woltjen ]
  * Clarify docs: Add example for dtmerge and more precisely describe
    available parameters
  * Add RPi 5 base device tree with MCP2515 device-tree overlay as an
    example

  [ Sonny Piers ]
  * eeptools: Fix flash example

  [ Tim Gover ]
  * rpifwcrypto: Initial revision
  * rpifwcrypto: Only build rpifwcrypto if libgnutls28-dev is available
  * rpifwcrypto: Assorted tidyups
  * rpifwcrypto: Add an API to retrieve public keys

  [ Serge Schneider ]
  * libgpiolib0: Add missing symbols
  * Add rpifwcrypto packages
  * Add armhf build fix

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 27 Aug 2025 09:36:02 +0100

## raspi-utils 20251120

=== debian/changelog ===
raspi-utils (20251120-1) trixie; urgency=medium

  [ Phil Elwell ]
  * overlaycheck: Allow long lines without spaces
  * overlaycheck: Accept generic abc123x matches
  * piolib: Fix cut-and-paste error in pio_rp1.c

  [ Dom Cobley ]
  * raspinfo: Improve display info output
  * raspinfo: report libcamera-hello output if installed

  [ David Caldwell ]
  * piolib: Fix cut-and-paste error in pio_rp1.c (in
    rp1_pio_sm_clkdiv_restart())

  [ Tim Gover ]
  * rpifwcrypto: hmac: Fix the size of tag buffer
  * rpifwcrypto: Actually fix the size of the HMAC mbox message

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 20 Nov 2025 12:49:43 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=1
